<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:21:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-11-07T20:21:37Z</TimeStamp>
    <ReleaseNote>Addresses an issue with Copy to local function with hybrid databases</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-11-07T20:21:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-11-07T20:21:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Reopened</StatusString>
    <TimeStamp>2023-11-07T20:20:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.2.218 (4.2 is the only version with Database step)
 
Tested:
 
 
Added a TSR AIR to Data Recorders
 
In quick checkout I queried this unit. 
 
 
 
 
Connected to central db (asada) and verified that this TSR AIR was added to LastUsedHardware table:
 
 
Clicked on "Copy from remote server to local". No error message pops up
 
Clicked on "Switch to local"
 
TSR AIR is in quick checkout</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-11-07T18:56:50Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-30T15:37:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49813 is 4.0; 49814 is 4.1; 49815 is 4.2.

To test:
Attach a Centralized database on a server.
Run DataPRO in Both mode (DBType=2 in config file).
Ensure that there is data in the LastUsedHardware table. 
   To add data if needed, add DAS to the database and go to the Quick Checkout tab.
   Click the Query selected button. Verify that the DAS was added to the LastUsedHardware table.
Go to the System Settings tab.
Click on the Database step.
Click on the "Copy from remote server to local" button and ensure that the copying completes successfully.
</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-10-27T18:39:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-27T18:10:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-27T17:53:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>The copying of the LastUsedHardware table fails because the table is not in the tablesWithIdentity list.</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-10-27T17:53:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>